using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace goods.Models
{
    public class SearchKeyword
    {
        [Key]
        [Required]
        [Column("id", TypeName = "int")]
        public int Id { get; set; }

        [Column("keyword", TypeName = "nvarchar")]
        public string? Keyword { get; set; }

        [Column("ip_address", TypeName = "nchar")]
        public string? IPAddress { get; set; }

        [Column("user_agent", TypeName = "nchar")]
        public string? UserAgent { get; set; }

        [Column("created_at", TypeName = "datetime")]
        [DataType(DataType.DateTime)]
        public DateTime CreatedAt { get; set; }
    }
}
